%define upstream_name    Date-Pcalc
%define upstream_version 6.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 18

Summary:	Pure-Perl drop-in replacement for Date::Calc
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz
patch0:		Date-Pcalc-6.1-fix_perl_516_boolean.patch
patch1:		Date-Pcalc-6.1-century.patch

BuildRequires:	perl(Bit::Vector)
BuildRequires:	perl(Carp::Clan)
BuildRequires:	perl-devel


%description
  'use Date::Pcalc qw( Days_in_Year Days_in_Month ... );'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
echo c | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 6.100.0-18pclos2017
- rebuild against updates

